Home | All Classes | Grouped Classes | Index | Search

# Class CL_TreeView

TreeView component More...

Derived from: CL_Component CL_TreeNode
Derived by: none
Group: GUI (Controls)

#include <ClanLib/gui.h>

Construction:

CL_TreeView | TreeView Constructor

Attributes:

get_column_count | Returns the column count.
get_column_width | Returns the column width at index. Index starts at 0.
get_column_name | Returns the column name at index. Index starts at 0.
is_root_decoration_visible | Returns if root decoration is visible or not.
is_header_visible | Returns if header is visible or not.

Operations:

add_column | Add a column.
show_root_decoration | Show or hide root decoration for items.
show_header | Show or hide columns.

Signals:

sig_selection_changed | This signal is emitted when the selection set of a tree changes.
sig_item_clicked | This signal is emitted when an item is clicked / selected.
sig_item_added | This signal is emitted when a new item is added to the treeview.
sig_item_removed | This signal is emitted when an item is removed from the treeview.
sig_item_collapsed | This signal is emitted when an item is collapsed.
sig_item_expanded | This signal is emitted when an item is collapsed.
sig_column_added | This signal is emitted when a new column is added to the treeview.
sig_column_removed | This signal is emitted when an column is removed from the treeview.
sig_clear | This signal is emitted when the treeview is cleared.
sig_paint_node | Draws the node (used by styles).

Implementation:

add_node_to_delete_list |
clear_delete_list |
node_delete_list |

Detailed description:

!group=GUI/Controls! !header=gui.h!
Questions or comments, write to the ClanLib mailing list.